'use server'
import { db } from '../db/index'
import { wines } from '../db/schema'

type wine = {
  name: string;
  producer: string;
}

export const addWine = async (wine: wine) => {
  const { name, producer } = wine;
    await db.insert(wines).values({
      producer: producer,
      name: name,
    })
    .returning();
  };